You are here

Upgrading SDK version from 2.1.1 to 2.2.0

This section contains instructions for how to upgrade an extension project from using SDK version 2.1.1 to using SDK version 2.2.0.

These instructions include information about how to upgrade projects generated from each one of the Maven artifacts. Make sure you are following upgrade instructions for the correct project type. Default Alfresco versions for SDK 2.1.1 is Community 5.0.d and Enterprise 5.0.1. After upgrading to SDK 2.2.0 the default Alfresco versions will be Community 5.1.d and Enterprise 5.1.0.

Important: Make sure you have made a complete backup of your project before you start the upgrade process!